org.apache.ignite.internal.processors.cache.persistence.pagemem

## Class ReplaceCandidate

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.pagemem.ReplaceCandidate

    public class ReplaceCandidate
    extends Object

Replacement removal candidate. Class represents some page from loaded pages table. Usually candidate is found during random `LoadedPagesMap` touch.

### Constructor Summary

Constructors
Constructor and Description
`ReplaceCandidate(int gen, long relPtr, FullPageId fullId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FullPageId` `fullId()`
`int` `generation()`
`long` `relativePointer()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReplaceCandidate

    public ReplaceCandidate(int gen,
                            long relPtr,
                            FullPageId fullId)

Parameters:
  `gen` - Partition generation.
  `relPtr` - Relative pointer to page.
  `fullId` - Full page ID.

### Method Detail

#### generation

    public int generation()

Returns:
  Partition generation saved in map, too old value means page may be safely cleared.

#### relativePointer

    public long relativePointer()

Returns:
  Relative pointer to page.

#### fullId

    public FullPageId fullId()

Returns:
  Index.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019